package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[投保单]
 */
public class DBD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 投保单号 属性
     */
    private String Tbdh;

    @JsonIgnore
    private boolean TbdhDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 核保信息 属性
     */
    private String Hbxx;

    @JsonIgnore
    private boolean HbxxDirtyFlag;

    /**
     * 操作员 属性
     */
    private String Czr;

    @JsonIgnore
    private boolean CzrDirtyFlag;

    /**
     * 车牌号 属性
     */
    private String Cph;

    @JsonIgnore
    private boolean CphDirtyFlag;

    /**
     * 投保单标识 属性
     */
    private String DBDId;

    @JsonIgnore
    private boolean DBDIdDirtyFlag;

    /**
     * 输入日期 属性
     */
    private Timestamp Srrq;

    @JsonIgnore
    private boolean SrrqDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 投保单名称 属性
     */
    private String DBDName;

    @JsonIgnore
    private boolean DBDNameDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 保险起期 属性
     */
    private Timestamp Bxqq;

    @JsonIgnore
    private boolean BxqqDirtyFlag;

    /**
     * 影像 属性
     */
    private String Yx;

    @JsonIgnore
    private boolean YxDirtyFlag;

    /**
     * 核保 属性
     */
    private String Hb;

    @JsonIgnore
    private boolean HbDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 被保险人 属性
     */
    private String Bbxr;

    @JsonIgnore
    private boolean BbxrDirtyFlag;

    /**
     * 协议号 属性
     */
    private String Xyh;

    @JsonIgnore
    private boolean XyhDirtyFlag;


    /**
     * 获取 [投保单号]
     */
    public String getTbdh(){
        return Tbdh ;
    }

    /**
     * 设置 [投保单号]
     */
    public void setTbdh(String  tbdh){
        this.Tbdh = tbdh ;
        this.TbdhDirtyFlag = true ;
    }

    /**
     * 获取 [投保单号]脏标记
     */
    @JsonIgnore
    public boolean getTbdhDirtyFlag(){
        return TbdhDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [核保信息]
     */
    public String getHbxx(){
        return Hbxx ;
    }

    /**
     * 设置 [核保信息]
     */
    public void setHbxx(String  hbxx){
        this.Hbxx = hbxx ;
        this.HbxxDirtyFlag = true ;
    }

    /**
     * 获取 [核保信息]脏标记
     */
    @JsonIgnore
    public boolean getHbxxDirtyFlag(){
        return HbxxDirtyFlag ;
    }
    /**
     * 获取 [操作员]
     */
    public String getCzr(){
        return Czr ;
    }

    /**
     * 设置 [操作员]
     */
    public void setCzr(String  czr){
        this.Czr = czr ;
        this.CzrDirtyFlag = true ;
    }

    /**
     * 获取 [操作员]脏标记
     */
    @JsonIgnore
    public boolean getCzrDirtyFlag(){
        return CzrDirtyFlag ;
    }
    /**
     * 获取 [车牌号]
     */
    public String getCph(){
        return Cph ;
    }

    /**
     * 设置 [车牌号]
     */
    public void setCph(String  cph){
        this.Cph = cph ;
        this.CphDirtyFlag = true ;
    }

    /**
     * 获取 [车牌号]脏标记
     */
    @JsonIgnore
    public boolean getCphDirtyFlag(){
        return CphDirtyFlag ;
    }
    /**
     * 获取 [投保单标识]
     */
    public String getDBDId(){
        return DBDId ;
    }

    /**
     * 设置 [投保单标识]
     */
    public void setDBDId(String  dBDId){
        this.DBDId = dBDId ;
        this.DBDIdDirtyFlag = true ;
    }

    /**
     * 获取 [投保单标识]脏标记
     */
    @JsonIgnore
    public boolean getDBDIdDirtyFlag(){
        return DBDIdDirtyFlag ;
    }
    /**
     * 获取 [输入日期]
     */
    public Timestamp getSrrq(){
        return Srrq ;
    }

    /**
     * 设置 [输入日期]
     */
    public void setSrrq(Timestamp  srrq){
        this.Srrq = srrq ;
        this.SrrqDirtyFlag = true ;
    }

    /**
     * 获取 [输入日期]脏标记
     */
    @JsonIgnore
    public boolean getSrrqDirtyFlag(){
        return SrrqDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [投保单名称]
     */
    public String getDBDName(){
        return DBDName ;
    }

    /**
     * 设置 [投保单名称]
     */
    public void setDBDName(String  dBDName){
        this.DBDName = dBDName ;
        this.DBDNameDirtyFlag = true ;
    }

    /**
     * 获取 [投保单名称]脏标记
     */
    @JsonIgnore
    public boolean getDBDNameDirtyFlag(){
        return DBDNameDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [保险起期]
     */
    public Timestamp getBxqq(){
        return Bxqq ;
    }

    /**
     * 设置 [保险起期]
     */
    public void setBxqq(Timestamp  bxqq){
        this.Bxqq = bxqq ;
        this.BxqqDirtyFlag = true ;
    }

    /**
     * 获取 [保险起期]脏标记
     */
    @JsonIgnore
    public boolean getBxqqDirtyFlag(){
        return BxqqDirtyFlag ;
    }
    /**
     * 获取 [影像]
     */
    public String getYx(){
        return Yx ;
    }

    /**
     * 设置 [影像]
     */
    public void setYx(String  yx){
        this.Yx = yx ;
        this.YxDirtyFlag = true ;
    }

    /**
     * 获取 [影像]脏标记
     */
    @JsonIgnore
    public boolean getYxDirtyFlag(){
        return YxDirtyFlag ;
    }
    /**
     * 获取 [核保]
     */
    public String getHb(){
        return Hb ;
    }

    /**
     * 设置 [核保]
     */
    public void setHb(String  hb){
        this.Hb = hb ;
        this.HbDirtyFlag = true ;
    }

    /**
     * 获取 [核保]脏标记
     */
    @JsonIgnore
    public boolean getHbDirtyFlag(){
        return HbDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [被保险人]
     */
    public String getBbxr(){
        return Bbxr ;
    }

    /**
     * 设置 [被保险人]
     */
    public void setBbxr(String  bbxr){
        this.Bbxr = bbxr ;
        this.BbxrDirtyFlag = true ;
    }

    /**
     * 获取 [被保险人]脏标记
     */
    @JsonIgnore
    public boolean getBbxrDirtyFlag(){
        return BbxrDirtyFlag ;
    }
    /**
     * 获取 [协议号]
     */
    public String getXyh(){
        return Xyh ;
    }

    /**
     * 设置 [协议号]
     */
    public void setXyh(String  xyh){
        this.Xyh = xyh ;
        this.XyhDirtyFlag = true ;
    }

    /**
     * 获取 [协议号]脏标记
     */
    @JsonIgnore
    public boolean getXyhDirtyFlag(){
        return XyhDirtyFlag ;
    }
}

